@font-face {
  font-family: "Noto Serif JP";
  src: url(../common/font/google_font/NotoSerifJP-SemiBold.otf);
}
.content_box .content_goup:not(:last-child) {
  margin-bottom: 40px;
}
.content_box .content_goup label[for=ogiri_level_select] {
  position: relative;
  top: 0px;
  left: 0px;
  width: 100%;
  height: 50px;
  display: block;
}
.content_box .content_goup label[for=ogiri_level_select]:after {
  content: "";
  position: absolute;
  top: 0px;
  right: 0px;
  width: 30px;
  height: 100%;
  display: block;
  border-top: solid 1px #ccc;
  border-right: solid 1px #ccc;
  border-bottom: solid 1px #ccc;
  border-top-right-radius: 5px;
  border-bottom-right-radius: 5px;
  background-color: #429ce6;
  box-sizing: border-box;
  background-image: url(./img/arrow.png);
  background-repeat: no-repeat;
  background-position: center center;
  pointer-events: none;
}
.content_box .content_goup label[for=ogiri_level_select] select {
  padding: 0px 20px;
  width: 100%;
  height: 100%;
  font-size: 16px;
  color: #000;
  background-color: #fff;
  border-radius: 5px;
  border: solid 1px #ccc;
  cursor: pointer;
}
.content_box .content_goup label[for=ogiri_level_select] select:disabled {
  cursor: not-allowed !important;
}
.content_box .content_goup label[for=ogiri_level_select]:has(select:disabled) {
  opacity: 0.75;
}
.content_box .content_goup .result_box {
  width: 100%;
  max-height: auto;
  min-height: 200px;
  padding: 30px;
  background-color: #fff;
  box-sizing: border-box;
  border-radius: 5px;
  border: solid 1px #ccc;
  word-break: break-all;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}
.content_box .content_goup .result_box p.roulette_result {
  line-height: 2.5rem !important;
  letter-spacing: 0.1rem;
  font-weight: bold;
  font-size: 25px !important;
  font-family: "Noto Serif JP", serif;
}
.content_box .btn_wrap span#stop_btn {
  width: 100%;
  height: 60px;
  font-size: 17px;
  font-weight: bold;
  letter-spacing: 0.1rem;
  color: #fff;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #777;
  box-sizing: border-box;
  border-radius: 5px;
  cursor: pointer;
  transition: opacity 0.3s;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}
.content_box .btn_wrap span#stop_btn:hover {
  opacity: 0.75;
}
.content_box .btn_wrap .btn_group {
  padding: 20px 15px;
  width: 100%;
  height: auto;
  display: none;
  box-sizing: border-box;
  border-radius: 5px;
  background-color: #dedede;
}
.content_box .btn_wrap .btn_group .btn_group_inner {
  display: flex;
  justify-content: center;
  align-items: center;
}
.content_box .btn_wrap .btn_group .btn_group_inner .roulette_end_btn {
  width: 200px;
  height: 50px;
  letter-spacing: 0.1rem;
  color: #fff;
  display: flex;
  justify-content: center;
  align-items: center;
  box-sizing: border-box;
  border-radius: 5px;
  cursor: pointer;
  transition: opacity 0.3s;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}
.content_box .btn_wrap .btn_group .btn_group_inner .roulette_end_btn:hover {
  opacity: 0.75;
}
.content_box .btn_wrap .btn_group .btn_group_inner .roulette_end_btn i.ico {
  margin-right: 5px;
  display: block;
}
.content_box .btn_wrap .btn_group .btn_group_inner .roulette_end_btn span {
  font-size: 17px;
  font-weight: bold;
}
.content_box .btn_wrap .btn_group .btn_group_inner #restart_btn {
  background-image: linear-gradient(to bottom, #ffa856 25%, #ff7c02);
}
.content_box .btn_wrap .btn_group .btn_group_inner #restart_btn i.ico {
  width: 20px;
  height: 20px;
  background-image: url(./img/roulette_btn_ico.png);
  background-size: 20px 20px;
}
.content_box .btn_wrap .btn_group .btn_group_inner a.share_btn {
  margin-left: 20px;
  text-decoration: none;
  background-image: linear-gradient(to bottom, #7fc6f9 25%, #3ba3ee);
}
.content_box .btn_wrap .btn_group .btn_group_inner a.share_btn i.ico {
  width: 20px;
  height: 16px;
  background-image: url(../common/img/btn_tw.png);
  background-size: 20px 16px;
}

@media screen and (max-width: 480px) {
  .content_box .content_goup .result_box {
    min-height: 350px;
  }
  .content_box .btn_wrap .btn_group .btn_group_inner {
    display: block;
  }
  .content_box .btn_wrap .btn_group .btn_group_inner .roulette_end_btn {
    width: 100%;
  }
  .content_box .btn_wrap .btn_group .btn_group_inner a.share_btn {
    margin-top: 15px;
    margin-left: 0px;
  }
}